Redmine - Feature #29489

Issue macro for flexible linking to issues
2018-09-04 08:14 - Jens Kramer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 4.1.0

Resolution:

Description

The attached patch adds an issue(123) macro which has options similar to the link_to_issue helper method, giving users maximum
control over the level of detail when linking to issues.

{{issue (123) }} —— Issue #123: Enhance macro capabilities

{{issue (123, project=true) }} —— Andromeda - Issue #123:Enhance macro capabilities
{{issue (123, tracker=false)}} —— #123: Enhance macro capabilities

{{issue (123, subject=false, project=true)}} —-- Andromeda - Issue #123

This is somewhat related to #29488

Related issues:

Related to Redmine - Patch #29488: ##123 syntax for linking to issues with tr... Closed
Related to Redmine - Feature #26465: Make the format of issue links configurable New
Has duplicate Redmine - Feature #13052: extended issue link marco - link by i... Closed

Associated revisions

Revision 18297 - 2019-06-20 16:01 - Jean-Philippe Lang

Issue macro for flexible linking to issues (#29489).

Patch by Jens Kramer.

Revision 18313 - 2019-06-23 06:25 - Go MAEDA
Add "issue" macro to help files (#29489).

Patch by Go MAEDA.

Revision 19329 - 2019-12-03 07:11 - Go MAEDA
Merged r19071 from trunk to 4.1-stable (#32444, #29489).

History

#1 - 2018-09-06 08:07 - Go MAEDA
- Related to Patch #29488: ##123 syntax for linking to issues with tracker name and subject added

#2 - 2018-09-10 22:26 - Marius BALTEANU
- Related to Feature #26465: Make the format of issue links configurable added

#3 - 2018-09-12 16:57 - Go MAEDA
- Assignee set to Jean-Philippe Lang

- Target version set to 4.1.0

#4 - 2019-06-20 16:01 - Jean-Philippe Lang

- Status changed from New to Closed

Committed, thanks!
#5 - 2019-08-30 04:13 - Go MAEDA
- Category changed from Wiki to Text formatting

#6 - 2019-12-20 10:06 - Jean-Philippe Lang

- Tracker changed from Patch to Feature

#7 - 2021-06-27 03:16 - Go MAEDA
- Has duplicate Feature #13052: extended issue link marco - link by id, liby by id and topic, link by topic added
